# the.py
#
# Copyright (C) 2013 Tim Marston <tim@edm.am>
#
# This file is part of stdhome (hereafter referred to as "this program").
# See http://ed.am/dev/stdhome for more information.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import os
import util


# the program
program = None

# main command
command = None

# config
config = None

# repo name, set by late_init() to an instance of Repo
repo = 'home'

# verbose level
verbose = 0

# data directory
dir = '~/.stdhome'

# fully qualified data dir
full_dir = util.canonicalise_path( dir )

# metadata directory
mddir = os.path.join( dir, '.metadata' )

# fully qualified metadata directory
full_mddir = util.canonicalise_path( mddir )

# home directory
home_dir = '~/'

# fully qualified home directory, set by late_init()
full_home_dir = None

# config file
config_file = os.path.expanduser( '~/.stdhomerc' )


def late_init():

	global home_dir, full_home_dir
	full_home_dir = util.canonicalise_path( home_dir )
	if verbose >= 2: print "home-dir at " + home_dir

	global repo
	if repo is not None:
		from repo import Repo
		repo = Repo( repo )
		if verbose >= 2: print "repo at " + repo.dir
